#
# spec file for package anthy (Version 7307)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 canna-libs coreutils cpio cpp cracklib ctags cvs cyrus-sasl cyrus-sasl-devel db db42 diffutils e2fsprogs emacs emacs-info emacs-x11 expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel giflib giflib-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xaw3d xemacs xemacs-info xemacs-packages xemacs-packages-info xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           anthy
BuildRequires:  emacs-x11 giflib-devel krb5 libpng-devel libtiff-devel openldap2 openldap2-devel xemacs xorg-x11-devel
License:        GPL
Group:          System/I18n/Japanese
Autoreqprov:    on
Provides:       locale(scim-anthy:ja)
Provides:       locale(uim:ja)
Provides:       locale(m17n-lib:ja)
Provides:       locale(xemacs:ja)
Provides:       locale(emacs:ja)
Version:        7307
Release:        14.2
URL:            http://sourceforge.jp/projects/anthy/
# old URL, still some information only there: http://www.kmc.kyoto-u.ac.jp/proj/heke/
# cvs -d:pserver:anonymous@cvs.sourceforge.jp:/cvsroot/anthy login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.jp:/cvsroot/anthy co modulename
Source0:        http://osdn.dl.sourceforge.jp/anthy/15893/anthy-7307.tar.bz2
Source1:        suse-start-anthy.el
Patch0:         anthy-autoconf.patch
Patch2:         anthy-last-command-char-xemacs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Kana-Kanji Conversion Engine
# Summary(ja): 仮名漢字変換エンジン
# Anthy(旧称Ancy)
# 
# PC-Unix用の仮名漢字変換エンジンとしては Canna、 FreeWnn等が有名ですが、 
# いずれも1990年前後の国産Unixワークステーションのために開発され、 フリー
# なものの開発はほぼ停止している状態です。 Hekeプロジェクトでは新たな変
# 換エンジンを辞書を除いてフルスクラッチで 開発を行っています。
#
# 著者：
# ------
#     田畑 悠介 <yusuke@kmc.kyoto-u.ac.jp>

%description
Anthy (previously called 'Ancy'):

Canna, FreeWnn, and others are famous Kana-Kanji conversion engines
usable for Unix on PCs. They were originally developed for Japanese
Unix workstations around 1990 and development has practically stopped. 
Therefore, the Heke Project is writing a free conversion engine from
scratch (apart from the dictionary, which is developed outside of the
Heke Project).



Authors:
--------
    TAHATA Yuusuke <yusuke@kmc.kyoto-u.ac.jp>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}-%{release}
# Summary(ja): Anthy のヘッダファイル及びライブラリです。
# %description devel -l ja
# Anthy のヘッダファイル及びライブラリです。

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    TAHATA Yuusuke <yusuke@kmc.kyoto-u.ac.jp>

%prep
%setup0 -q -n %{name}-%{version}
#%patch0 -p 1
%patch2 -p 1

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config}
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=/usr \
            --bindir=%{_bindir} \
            --libdir=%{_libdir} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux
make 
cd test
./anthy --all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 $RPM_SOURCE_DIR/suse-start-anthy.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
# compile the XEmacs versions of the emacs-lisp files and install them:
pushd src-util
    rm -f *.elc
    make EMACS=xemacs
    mkdir -p $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/anthy
    install -m 644 *.el *.elc $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/anthy
popd

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README
%doc doc
%config %{_sysconfdir}/anthy-conf
%dir /usr/share/anthy/
/usr/share/anthy/*
%{_bindir}/*
%{_libdir}/*.so.*
/usr/share/emacs/site-lisp/*
/usr/share/xemacs/*

%files devel
%defattr(-, root, root)
%dir /usr/include/anthy/
/usr/include/anthy/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/anthy.pc

%changelog -n anthy
* Tue Feb 28 2006 - mfabian@suse.de
- add Provides:     locale(...).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - mfabian@suse.de
- update to 7307.
* Wed Aug 03 2005 - mfabian@suse.de
- update to 6801.
- remove Andreas Schwab's cleanup.patch, it is included now.
* Fri May 06 2005 - mfabian@suse.de
- update to 6506.
* Sat Apr 23 2005 - schwab@suse.de
- Clean up lisp code.
- Move *.so links to devel package.
* Tue Feb 01 2005 - mfabian@suse.de
- update to 6131.
* Tue Jan 18 2005 - mfabian@suse.de
- fix anthy.el to make 'backspace work when XEmacs is started
  in a terminal "xemacs -nw".
* Tue Dec 28 2004 - mfabian@suse.de
- update to 6024.
* Thu Dec 16 2004 - mfabian@suse.de
- update to 5924.
* Mon Oct 11 2004 - mfabian@suse.de
- make 'anthy-add-word' work with xemacs.
- make 'anthy-add-word-interactive' work for special nouns.
* Mon Sep 20 2004 - mfabian@suse.de
- Bugzilla #45561: move .so files to main package. uim needs the
  .so files but uim should not need to have anthy-devel installed
  to work.
- update to 5714:
- initialize hankaku_kana_table. otherwise segv.
- depgraph/: update from hmm branch
* Sat Sep 04 2004 - mfabian@suse.de
- update to 5704.
* Fri Aug 13 2004 - mfabian@suse.de
- update to 5613.
* Tue Feb 24 2004 - mfabian@suse.de
- update to 5021.
* Tue Feb 10 2004 - mfabian@suse.de
- update to 5008.
- compile and install emacs-lisp file for XEmacs as well.
- don't build as root.
* Mon Aug 25 2003 - mfabian@suse.de
- update to 4421.
* Sun Feb 16 2003 - mfabian@suse.de
- update to 3814
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Mon Aug 12 2002 - mfabian@suse.de
- update to 3208
- fix autoconf problem
- anthy-devel should require anthy
- remove extra cannadic sources because they are contained in the
  anthy tarball now.
- add suse-start-anthy.el to make the input-method
  'japanese-anthy automatically available for GNU Emacs as soon
  as anthy is installed.
* Fri Apr 05 2002 - mfabian@suse.de
- update to 2427b
- use 'libtoolize --force' and 'autoreconf --force --install'
  to fix build problems
* Wed Apr 03 2002 - mfabian@suse.de
- update to version 2307
- update cannadic to 0.94b
- use %%{_libdir}
- add emacs stuff to '# neededforbuild' to be able to compile
  anthy.el
* Sat Sep 08 2001 - mfabian@suse.de
- new package: Anthy, version 1800b
